using System;

namespace InABox.Integration.Logikal
{
    public class LogikalProjectResponse<TProject> : LogikalResponse
        where TProject : ILogikalProject, new()
    {

        public override LogikalMethod Method() => LogikalMethod.Project;

        public TProject Project { get; set; } = new TProject();
        
        public override string ToString() => $"Found Project [{Project.ID}]: [{Project.Title}]";


    }
}